This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 479032 - gnupg2: fix invalid country code in /usr/share/gnupg/qualified.txt
gnupg2: fix invalid country code in /usr/share/gnupg/qualified.txt
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: gnupg2 (Show other bugs)
el5
All Linux
low Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 11:38 EST by Andreas Petzold
Modified: 2009-05-06 12:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 12:20:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Petzold 2009-01-06 11:38:10 EST
Description of problem:

/usr/share/gnupg/qualified.txt misses the "de" country code at the end of lines 196 and 211.

gpgsm error message:

gpgsm[20609]: invalid country code in `/usr/share/gnupg/qualified.txt', line 
196
gpgsm[20609]: checking the list of qualified root certificates failed: Bad 
data
[....]
gpgsm[20979]: checking for qualified certificate failed: Not found
gpgsm[20979]: error creating signature: Not found 
gpgsm[20979.0] DBG: -> ERR 150994971 Not found 

Version-Release number of selected component (if applicable):

2.0.8-1.el5

How reproducible:

always

Steps to Reproduce:
1. sign an email with s/mime in kmail
2.
3.
  
Actual results:

gpgsm[20609]: invalid country code in `/usr/share/gnupg/qualified.txt', line 
196
......

GUI error message: 

Signing failed: not found

Expected results:

s/mime signing should work

Additional info:

this was already fixed in fedora see bug 427500
Comment 1 Rex Dieter 2009-01-16 11:26:34 EST
nod, update looming.
Comment 2 Rex Dieter 2009-01-16 11:27:54 EST
Awaiting rhel/kde related feedback onlist:
http://lists.fedoraproject.org/pipermail/fedora-kde/2009-January/000264.html
Comment 3 Rex Dieter 2009-02-17 15:56:52 EST
Meh, not much feedback, so I went ahead with a gnupg-2.0.9 update keeping the gpg-agent scripts (for now).

Should land in epel-testing repos in the next push.
Comment 4 Andreas Petzold 2009-03-09 09:25:56 EDT
Tested the i386 package and it works fine. Can't seem to get s/mime cert validation to work on x86_64, but for me that was already the case before the update, so x86_64 is probably fine too.

Note You need to log in before you can comment on or make changes to this bug.